INFORMATION: TLS 1.0 support to be discontinued 1st May 2016 - Click to Read

We have been informed by our PCI Compliance partner Security Metrics that the encryption protocol TLS 1.0 is no longer secure and as such we must discontinue support for browsers that do not support TLS 1.1 or TLS 1.2.

Your browser appears to support TLS 1.1 or TLS 1.2.

For more information please see the Paynotice Browser Support page.